document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_11500 | ---
+++
@@ -10,4 +10,4 @@
node_modules/webpack/bin/webpack.js -p
# Create log directory
-mkdir logs
+mkdir -m 777 logs | bash |
d_bash_11501 | ---
+++
@@ -1,3 +1,16 @@
#!/bin/bash
+WORKSPACE="target/simple/workspace"
+CURRENT_BRANCH="$(git rev-parse --abbrev-ref HEAD)"
+
+if [ ! -d "$WORKSPACE" ]
+then
+ mkdir -p $WORKSPACE
+ git clone . $WORKSPACE
+fi
+
+cd $WORKSPACE
+git checkout $CURRENT_BRANCH
+git pull
+
lein test | bash |
d_bash_11502 | ---
+++
@@ -1,3 +1,7 @@
#!/bin/sh
+PIDFILE='/tmp/unicorn.pid'
+if [ -f "$PIDFILE" ]; then
+ rm "$PIDFILE"
+fi
cupsd
exec "$@" | bash |
d_bash_11503 | ---
+++
@@ -3,6 +3,7 @@
cd examples/ipython
testfail=0
+python ipynbtest.py "sliced_sequential_ensembles.ipynb" || testfail=1
python ipynbtest.py "toy_bootstrapping.ipynb" || testfail=1
python ipynbtest.py "toy_tis.ipynb" || testfail=1
python ipynbtest.py "toy_analysis.ipynb" || testfail=1 | bash |
d_bash_11504 | ---
+++
@@ -9,8 +9,8 @@
cd ..
cd layeredit
-closure-compiler --js layerList.js --js layerEdit.js --js wmsLayer.js --js wfsLayer.js > ../layeredit-min.js
+closure-compiler --js layerEdit.js --js layerList.js --js wmsLayer.js --js wfsLayer.js > ../layeredit-min.js
cd ..
cd tracking
-closure-compiler --js mapupd... | bash |
d_bash_11505 | ---
+++
@@ -1,7 +1,9 @@
mkdir __update_docs_temp
cd ./__update_docs_temp
mkdir service
-git clone https://$GTTOKEN@github.com/surveyjs/service
+REPO_URL="https://github.com/surveyjs/service"
+git -c http.$REPO_URL.extraHeader="Authorization: Basic $GITAUTH" \
+ clone $REPO_URL
mv ../docs/images .
cp -a ../docs/... | bash |
d_bash_11506 | ---
+++
@@ -1,6 +1,12 @@
#!/usr/bin/env bash
set -e
+
+if [[ $1 == '--install' ]] ; then
+ install=true
+else
+ install=false
+fi
function test {
v=$1
@@ -10,7 +16,10 @@
# Setup virtual environment for the specified Django version if absent.
IFS='.' read v1 v2 <<< "$v"
- env="../env$pv-$v... | bash |
d_bash_11507 | ---
+++
@@ -5,6 +5,6 @@
then
alias ls="gls -F --color"
alias ll="gls -lAh --color"
- alias l="gls -l --color"
+ alias l="gls -A -1 --color"
alias la='gls -A --color'
fi | bash |
d_bash_11508 | ---
+++
@@ -8,7 +8,7 @@
wait ${RPID}
RETV=$?
-if [ ${RETV} -eq 1 ]
+if [ ${RETV} -eq 0 ]
then
exit 0
else | bash |
d_bash_11509 | ---
+++
@@ -6,10 +6,12 @@
doxygen mne-cpp_doxyfile
# zip documentation build artefact
-tar cfvz mne-cpp_doc.tar.gz ./html ./qt-creator_doc
+#tar cfvz mne-cpp_doc.tar.gz ./html ./qt-creator_doc
+zip -r mne-cpp_doc.zip ./html ./qt-creator_doc
# upload documentation
-curl -u $DOC_LOGIN:$DOC_PASSWORD -T mne-cpp_d... | bash |
d_bash_11510 | ---
+++
@@ -2,6 +2,9 @@
# usage build.sh <path_to_cap_file>
out_file="src/caps.rs"
+if [ -f $out_file ] ; then
+ rm $out_file
+fi
caps=$(sed -n 's/^#define \(CAP_.*\) .*/\1/p' "$1" | head -n -2 | tr -d ' ' | sed -e 's/$/,/g' )
echo "pub enum Caps {" >> $out_file
echo "$caps" >> $out_file | bash |
d_bash_11511 | ---
+++
@@ -26,4 +26,4 @@
cp mltsp.yaml.example mltsp.yaml
make db && sleep 1 && make init
-make test
+make test_no_docker | bash |
d_bash_11512 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
-/usr/bin/etcdctl set /services/$ENV_TECH_ID/1/status/current starting
+/usr/bin/etcdctl set --ttl $((7 * 60)) /services/$ENV_TECH_ID/1/status/current starting
exec /opt/data/tools/initialize-bucket.sh | bash |
d_bash_11513 | ---
+++
@@ -3,7 +3,9 @@
### test_helpers.sh -- Tests for convenience functions and setup
# Load the helpers.sh file
-source "$(dirname $0)/../helpers.sh" || (echo "ERROR: helpers.sh not found!" ;exit 1)
+source "$(dirname $0)/../helpers.sh" || { echo "ERROR: helpers.sh not found!" ;exit 1 ; }
+# Enforce being in ... | bash |
d_bash_11514 | ---
+++
@@ -19,7 +19,7 @@
if [[ ! -z "$TASKS" ]]
then
awscli ecs describe-tasks --tasks $TASKS --cluster $SELECTED \
- --query "tasks[$FILTER].{ \
+ --query "sort_by(tasks,&taskDefinitionArn)[$FILTER].{ \
\"1.Task\":taskArn, \
\"2.Definition\":taskDefinitionArn, \
\"3.Instance\":contai... | bash |
d_bash_11515 | ---
+++
@@ -6,5 +6,5 @@
docker_tag=${DOCKER_TAG:-latest}
master_ip=192.168.200.2
network_provider=flannel
-namespace=kube-system
+namespace=kubevirt
image_pull_policy=${IMAGE_PULL_POLICY:-IfNotPresent} | bash |
d_bash_11516 | ---
+++
@@ -19,4 +19,4 @@
sudo sed -i -e 's@^mirrorlist@#mirrorlist@' /etc/yum.repos.d/epel*.repo
sudo sed -i -e 's@^#baseurl.*/epel@baseurl=http://dl.fedoraproject.org/pub/epel@' /etc/yum.repos.d/epel*.repo
sudo yum clean all
-sudo yum install git ansible screen tmux -y
+sudo yum install git ansible-1.9*.el6 scre... | bash |
d_bash_11517 | ---
+++
@@ -10,7 +10,7 @@
fi
source "$venvdir/bin/activate"
-else
+elif [ -z "$VIRTUAL_ENV" ]; then
echo "You must have WORKON_HOME set, say to venv or ~/virtualenvs"
exit 1
fi | bash |
d_bash_11518 | ---
+++
@@ -5,6 +5,7 @@
cd libkytea
. ci_config.sh
bash ./setup_gtest.sh
+bash ./gyp/install_gyp.sh
bash ./build_with_gyp.sh Release make
if [[ "$TARGET_OS" = "Darwin" ]]; then
cp out_mac/Release/libkytea.a .. | bash |
d_bash_11519 | ---
+++
@@ -11,7 +11,7 @@
echo "FausPas already installed; skipping installation"
else
echo "Installing FauxPas..."
- brew cask update
+ brew update
brew cask install fauxpas
/Applications/FauxPas.app/Contents/Resources/install-cli-tools | bash |
d_bash_11520 | ---
+++
@@ -12,6 +12,9 @@
# Pull the changes from git
git pull
+# Clear down node_modules
+rm -rf node_modules
+
# Install npm dependencies
npm install
| bash |
d_bash_11521 | ---
+++
@@ -1,3 +1,4 @@
+alias workspaces="cd ~/documents/workspaces && ls"
alias workspace:make="workspace-make"
alias workspace:remove="workspace-remove"
@@ -12,5 +13,10 @@
}
function workspace-remove() {
- rm -rf ~/documents/workspaces/$1
+ # Confirm deletion of directory
+ read -p "Are you sure you wan... | bash |
d_bash_11522 | ---
+++
@@ -1,18 +1,6 @@
#!/bin/bash
. $(dirname $0)/../assert.sh
-if [ -f /etc/os-release ]; then
- . /etc/os-release
-elif [ -f /etc/redhat-release ]; then
- NAME=$(sed -e 's/\(.*\)release\? \([0-9]\+\).*/\1/' /etc/redhat-release)
- ID=$(echo $NAME | tr '[:upper:]' '[:lower:]')
- VERSION_ID=$(sed -e... | bash |
d_bash_11523 | ---
+++
@@ -2,10 +2,17 @@
# Certain commands cannot be run in Dockerfile including pbuilder run them here
-BUILD_DEPENDS="debhelper dh-autoreconf autoconf automake intltool libssh-dev libssl-dev zlib1g-dev libkrb5-dev
- libxslt1-dev libkeyutils-dev libglib2.0-dev libsystemd-dev libpolkit-agent-1-de... | bash |
d_bash_11524 | ---
+++
@@ -4,19 +4,22 @@
mkdir -p /share/habridge
fi
-# Migrate existing habridge.config file
-if [ -e /data/habridge.config ]; then
- echo "[INFO] Migrating existing habridge.config from /data to /share/habridge"
- mv -f /data/habridge.config /share/habridge
+# Migrate existing config files to handle upgrades... | bash |
d_bash_11525 | ---
+++
@@ -1,4 +1,6 @@
#! /usr/bin/env bash
+
+set -e
[[ -s $HOME/.rvm/scripts/rvm ]] && source $HOME/.rvm/scripts/rvm
@@ -7,12 +9,12 @@
fi
if [[ -n "${JOB_NAME}" ]] ; then
- GEMSET=`echo ${JOB_NAME} | sed "s/ /_/g"`
+ GEMSET=`echo ${JOB_NAME} | sed "s!/RUBY_RUNTIME=.*!!" | sed "s/ /_/g"`
else
GEMSET... | bash |
d_bash_11526 | ---
+++
@@ -5,7 +5,7 @@
chmod +w dataset/INRIAPerson/Train/neg
chmod +w dataset/INRIAPerson/Test/neg
-mkdir dataset/INRIAPerson/negative
+mkdir -p dataset/INRIAPerson/negative
mv dataset/INRIAPerson/Test/neg/* dataset/INRIAPerson/Train/neg/* \
dataset/INRIAPerson/negative
| bash |
d_bash_11527 | ---
+++
@@ -10,7 +10,7 @@
export NAME
# Exposed container port
-: ${PORT:=80}
+: ${PORT:=8888}
export PORT
# Container work volume name | bash |
d_bash_11528 | ---
+++
@@ -7,7 +7,7 @@
if [ "$1" = 'sphinx' ]; then
echo "Starting sphinx in foreground."
- exec gosu nobody:nogroup /usr/bin/searchd --console --config /etc/sphinxsearch/sphinx.conf --pidfile=/var/run/sphinxsearch/searchd.pid
+ exec gosu nobody:nogroup /usr/bin/searchd --console --config /etc/sphinxse... | bash |
d_bash_11529 | ---
+++
@@ -5,7 +5,6 @@
echo "Running create database script"
mysql -e 'CREATE DATABASE IF NOT EXISTS xcolab;'
-mysql -u root xcolab < sql/starter/xcolab-schema.sql
echo "Copying application properties file"
cp microservices/services/src/main/resources/application.properties $HOME/.xcolab.application.properti... | bash |
d_bash_11530 | ---
+++
@@ -4,8 +4,8 @@
# magic.
echo "Compiling..."
-gcc -c -fpic -I/usr/local/include/SDL pygame/sdlmain_osx.m -o pygame/sdlmain_osx.o
+gcc -arch i386 -arch x86_64 -c -fpic -I/usr/local/include/SDL `pwd`/pygame/sdlmain_osx.m -o `pwd`/pygame/sdlmain_osx.o
echo "Linking..."
-gcc -lobjc -framework Cocoa -lSDL -sh... | bash |
d_bash_11531 | ---
+++
@@ -30,8 +30,10 @@
alias gd='git diff'
alias yd='youtube-dl -f best -o "%(title)s-%(id)s.%(ext)s"'
+export GOPATH=$HOME/Go
+
typeset -U path
-path=(~/.local/bin $path)
+path=(~/.local/bin $GOPATH/bin $path)
if [[ -n $(whence vim) ]]; then
export EDITOR=vim | bash |
d_bash_11532 | ---
+++
@@ -12,7 +12,11 @@
fi
yarn
+_remote=$(git remote get-url origin)
git clone ./ gateway
+cd gateway
+git remote set-url origin "${_remote}"
+cd ..
tar czf gateway.tar.gz gateway
rm -fr gateway
./tools/create-release-archives.sh | bash |
d_bash_11533 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
sudo apt-get update
-sudo apt-get install -y libc++-dev libc++abi-dev bsdtar libedit-dev gdbm
+sudo apt-get install -y libc++-dev libc++abi-dev bsdtar libedit-dev libgdbm-dev | bash |
d_bash_11534 | ---
+++
@@ -25,7 +25,7 @@
# run the cleanup script
"${src_dir}/test/scripts/cleanup.sh"
- if ! test -f "${dir}/build/rootfs.img"; then
+ if ! test -f "${dir}/build/rootfs.img" || ! test -f "${dir}/build/vmlinuz"; then
"${src_dir}/test/rootfs/build.sh" "${dir}/build"
chown -R "flynn-test:flynn-test... | bash |
d_bash_11535 | ---
+++
@@ -15,6 +15,6 @@
$SPACER
start_section "package.upload" "${GREEN}Package uploading...${NC}"
- anaconda -t $ANACONDA_TOKEN upload --user $ANACONDA_USER $CONDA_OUT
+ anaconda -t $ANACONDA_TOKEN upload --user $ANACONDA_USER --label main $CONDA_OUT
end_section "package.upload"
fi | bash |
d_bash_11536 | ---
+++
@@ -10,6 +10,10 @@
rm -rf ~/tripleo-ci
git clone https://github.com/openstack-infra/tripleo-ci.git ~/tripleo-ci
+
+export DELOREAN_REPO_URL="http://buildlogs.centos.org/centos/7/cloud/x86_64/rdo-trunk-master-tripleo/"
+export DELOREAN_STABLE_REPO_URL="http://buildlogs.centos.org/centos/7/cloud/x86_64/rdo-... | bash |
d_bash_11537 | ---
+++
@@ -1,3 +1,4 @@
+apt-get install python-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev libjpeg8-dev zlib1g-dev
export LIBGIT2=/usr/local/
mkdir temp
cd temp | bash |
d_bash_11538 | ---
+++
@@ -2,7 +2,6 @@
CHROMEDRIVER_VERSION=$1
-python3 -m virtualenv .venv
source .venv/bin/activate
pip3 install -U bioblend pytest pytest-cov pytest-mock requests requests-oauthlib subprocess32 selenium
| bash |
d_bash_11539 | ---
+++
@@ -8,7 +8,7 @@
readonly ownership="GoogleTest Upstream <googletestframework@googlegroups.com>"
readonly subtree="Modules/ThirdParty/GoogleTest/src/itkgoogletest"
readonly repo="https://github.com/google/googletest.git"
-readonly tag="release-1.10.0"
+readonly tag="master"
readonly shortlog=false
readonl... | bash |
d_bash_11540 | ---
+++
@@ -5,8 +5,8 @@
# Add & config PHP user
echo "$PHP_USER ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers
-useradd --create-home --user-group ${PHP_USER}
-sudo -u ${PHP_USER} -H sh -c "echo \"export PATH=$PATH:/home/php/.composer/vendor/bin\" >> /home/${PHP_USER}/.bashrc"
+useradd --create-home -s /bin/bash --user... | bash |
d_bash_11541 | ---
+++
@@ -1,9 +1,9 @@
# This file is sourced at the end of a first-time dotfiles install.
-shopt -s expand_aliases
source ~/.zshrc
cat <<EOF
SSH Keys (if this is a server)
1. (main) scp ~/.ssh/id_rsa.pub $USER@$(wanip):~/.ssh/
2. (here) cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
+ 3. Make sure to cop... | bash |
d_bash_11542 | ---
+++
@@ -5,7 +5,7 @@
}
function install_centos(){
- sudo yum install -i python-dev libffi-dev python-pip
+ sudo yum -y install python-dev libffi-dev python-pip
}
| bash |
d_bash_11543 | ---
+++
@@ -38,13 +38,22 @@
fi
}
+changes_have_been_made() {
+ [[ `git status --porcelain` ]]
+}
+
echo ""
if bash unittests/.quick_test.sh; then
echo ""
make clean
echo_success
- git add .
- git commit -v || git status
+ if changes_have_been_made; then
+ git add .
+ git commit -v || git st... | bash |
d_bash_11544 | ---
+++
@@ -5,6 +5,8 @@
conan user
conan profile new default --detect
+sudo apt libgtk2.0-dev
+
if test ! -z "$INSTALL_PACKAGES"
then
sudo apt install $INSTALL_PACKAGES | bash |
d_bash_11545 | ---
+++
@@ -14,7 +14,7 @@
sudo a2dissite ${i}
done && \
sudo a2ensite datatool.conf && \
-sudo a2dismod mpm_prefork && \
+sudo a2dismod mpm_prefork mpm_event && \
sudo a2enmod ssl wsgi mpm_worker && \
sudo service apache2 restart && suc || err
| bash |
d_bash_11546 | ---
+++
@@ -23,6 +23,9 @@
alias distarchive="perl $HOME/dot-files/tools/create_cpan_archive.pl"
# Alias to upload my CPAN distributions to PAUSE.
+# Note: don't forget to create ~/.pause with the following format.
+# user <username>
+# password <PAUSE password>
alias distupload='cpan-upload --user AUBERTG ... | bash |
d_bash_11547 | ---
+++
@@ -15,7 +15,7 @@
if [ "x$RE2_MASTER" != "x" ]; then
RE2_REV=master
else
- RE2_REV=2016-03-01
+ RE2_REV=2016-06-01
fi
(test -d re2 ||
git clone https://code.googlesource.com/re2 && | bash |
d_bash_11548 | ---
+++
@@ -4,6 +4,6 @@
npm install
for f in drivers/*;
do cd $f;
- npm install;
+ npm install --force;
cd ../..;
done | bash |
d_bash_11549 | ---
+++
@@ -17,6 +17,7 @@
sed -i 's/site_name:\ stdlib/site_name:\ Pony Standard Library/' stdlib-docs/mkdocs.yml
echo "Uploading docs using mkdocs..."
+git config --global --add safe.directory /__w/ponyc/ponyc
git remote add gh-token "https://${STDLIB_TOKEN}@github.com/ponylang/stdlib.ponylang.io"
git fetch gh... | bash |
d_bash_11550 | ---
+++
@@ -3,4 +3,4 @@
cd /home/datamade/chi-councilmatic
/home/datamade/.virtualenvs/chi-councilmatic/bin/python manage.py loaddata >> /tmp/chicago-loaddata.log 2>&1
/home/datamade/.virtualenvs/chi-councilmatic/bin/python manage.py fixdata >> /tmp/chicago-loaddata.log 2>&1
-/home/datamade/.virtualenvs/chi-cou... | bash |
d_bash_11551 | ---
+++
@@ -12,15 +12,12 @@
exit 1
fi
-if [ ! -x /usr/local/bin/zsh ]; then
- echo "Installing zsh..."
- brew install zsh
+if [ ! -x /usr/local/bin/bash ]; then
+ echo "Installing latest bash version..."
+ brew install bash
+ echo /usr/local/bin/bash >> /private/etc/shells
+ chsh -s /usr/local/bin/bash
f... | bash |
d_bash_11552 | ---
+++
@@ -9,7 +9,7 @@
# Get the listen port for Nginx, default to 80
USE_LISTEN_PORT=${LISTEN_PORT:-80}
# Modify Nignx config for listen port
-if ! grep -q 'listen ${USE_LISTEN_PORT};' /etc/nginx/conf.d/nginx.conf ; then
- sed -i -e "/server {/a\ listen ${USE_LISTEN_PORT};" /etc/nginx/conf.d/nginx.conf
+if ! ... | bash |
d_bash_11553 | ---
+++
@@ -10,6 +10,7 @@
brew install cmake
brew install tmux
brew install gnu-sed
+ brew install findutils
else
sudo apt-get install cmake python3-dev build-essential
fi | bash |
d_bash_11554 | ---
+++
@@ -2,8 +2,8 @@
# OpenSSH
mkdir -p ~/.ssh
-# CLIENT_PUBKEY is set via resin.io env vars
-echo $CLIENT_PUBKEY | tee -a ~/.ssh/authorized_keys
+# CLIENT_PUBKEYS are set via resin.io env vars (separated with '\n')
+printf "$CLIENT_PUBKEYS" | tee -a ~/.ssh/authorized_keys
if [ -d "/data/ssh" ]; then
#... | bash |
d_bash_11555 | ---
+++
@@ -28,15 +28,16 @@
echo "Dev Version: $DEV_VERSION"
echo "######################################"
-sed -i -r "s/\"version\".?:.?\".*\"/\"version\" : \"$RELEASE_VERSION\"/g" registry.json
-
+jq ".plugins[].version = \"$RELEASE_VERSION\" | .version = \"$RELEASE_VERSION\"" registry.json > tmp.json
+mv tmp.j... | bash |
d_bash_11556 | ---
+++
@@ -19,7 +19,9 @@
local singularForm=${2}
local value=${1}
- if [[ $(BaseComparator isGreaterThan ${value} 1) ]]; then
+ if [[ $(BaseComparator isGreaterThan ${value} 1) ||
+ $(BaseComparator isEqual ${value} 0) ]]; then
+
echo ${value} ${pluralForm}
else
echo ${value} ${singularForm} | bash |
d_bash_11557 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh -e
git pull --recurse-submodules "$@"
-git submodule update --recursive
+git submodule update --init --recursive | bash |
d_bash_11558 | ---
+++
@@ -14,20 +14,31 @@
mv android-sdk-linux ${ANDROID_HOME}
fi
+function android_update_sdk() {
+ (
+ set +x
+ while true
+ do
+ echo y
+ sleep 2
+ done
+ ) | ${ANDROID_TOOL} update sdk \
+ --force \
+ --no-ui \
+ --all \
+ "$@"
+}
+
# We always update the SDK, even if ... | bash |
d_bash_11559 | ---
+++
@@ -1,3 +1,3 @@
docker build -t itsyouonlinebuilder .
docker run --rm -v "$PWD":/go/src/github.com/itsyouonline/identityserver --entrypoint go itsyouonlinebuilder build -ldflags '-s' -v -o dist/identityserver
-docker build -t itsyouonline:latest -f DockerfileMinimal .
+docker build -t itsyouonline/identity... | bash |
d_bash_11560 | ---
+++
@@ -37,7 +37,8 @@
sudo rm -f ${CALLDIR}/COOJA.*log
sudo rm -f ${CALLDIR}/radiolog-*.pcap
-
-sudo ${CALLDIR}/top.py
-
+sudo ${CALLDIR}/top.py > >(tee ${CALLDIR}/console_out.log) 2> >(tee ${CALLDIR}/console_err.log >&2)
+reportdir=$(find ${CALLDIR}/report -maxdepth 1 -type d | sort | tail -n 1)
+sudo mv ${C... | bash |
d_bash_11561 | ---
+++
@@ -1 +1 @@
-env -i REQUEST_METHOD=GET REQUEST_URI=/ping SCRIPT_FILENAME=/app/public/index.php cgi-fcgi -bind -connect /var/opt/nomad/run/${NOMAD_JOB_NAME}-${NOMAD_ALLOC_ID}.sock | grep -E 'pong$' || (exit 2)
+env -i HTTP_USER_AGENT=NomadHealthCheck/${NOMAD_SHORT_ALLOC_ID} REQUEST_METHOD=GET REQUEST_URI=/ping... | bash |
d_bash_11562 | ---
+++
@@ -1,8 +1,8 @@
#! /bin/bash
BASEDIR=/oss/Abendstern
-SRVDIR=/programmes/cpp/abendstern/srv/abendstern/package
-WWWDIR=/programmes/cpp/abendstern/srv/www
+SRVDIR=$(pwd)/srv/abendstern/package
+WWWDIR=$(pwd)/srv/www
FILES="apply_update.bat Abendstern.exe abendstern.default.rc data fonts shaders images leg... | bash |
d_bash_11563 | ---
+++
@@ -2,5 +2,5 @@
set -ex
-lattice_version=$(cat lattice-tgz-version/number)
-./lattice-release/release/build "lattice-v${lattice_version}.tgz"
+lattice_tgz_version=$(cat lattice-tgz-version/number)
+./lattice-release/release/build "lattice-v${lattice_tgz_version}.tgz" "$lattice_tgz_version" | bash |
d_bash_11564 | ---
+++
@@ -14,11 +14,15 @@
}
main() {
- pushd /usr/local/bin
- sudo ln -s `which python3` python
- popd
+ if [ ! -f /usr/local/bin/python ]; then
+ pushd /usr/local/bin
+ sudo ln -s `which python3` python
+ popd
- echo "The problem should be fixed! Have fun :)"
+ echo... | bash |
d_bash_11565 | ---
+++
@@ -2,5 +2,8 @@
# add a line to "/etc/crontab" like:
# 30 18 * * 7 root sh /media/sf_GitHub/crike/src/crike_django/backupdb.sh
+# for restore:
+# mongorestore [--drop] /opt/backup/mongodb-dump-$DATE/crikedb
+
DATE=`date +"%Y-%m-%d"`
mongodump --db crikedb --out /opt/backup/mongodb-dump-$DATE | bash |
d_bash_11566 | ---
+++
@@ -21,7 +21,7 @@
declare apks=(
samples/hello-oboe/build/outputs/apk/debug/hello-oboe-debug.apk
samples/MegaDrone/build/outputs/apk/debug/MegaDrone-debug.apk
- samples/RhythmGame/build/outputs/apk/debug/RhythmGame-debug.apk
+ samples/RhythmGame/build/outputs/apk/debug/RhythmGame-ndkExtractor... | bash |
d_bash_11567 | ---
+++
@@ -1,7 +1,8 @@
#!/bin/sh
NAME=pyax12
-VERSION=$(grep "__version__" pyax12/__init__.py | cut --delimiter="'" -f2)
+#VERSION=$(grep "__version__" pyax12/__init__.py | cut --delimiter="'" -f2)
+VERSION=$(python -c "print(__import__('pyax12').__version__)")
DIST_DIR=dist
rm -rf debian | bash |
d_bash_11568 | ---
+++
@@ -1,6 +1,12 @@
#!/bin/sh
NAME=security.cov
-lcov --quiet --base-directory . --directory . -c --include "*/ada-security/src/*" -o $NAME
+lcov --quiet --base-directory . --directory . -c -o $NAME
+lcov --quiet --remove $NAME "/usr*" -o $NAME
+lcov --quiet --remove $NAME "/build*" -o $NAME
+lcov --quiet --re... | bash |
d_bash_11569 | ---
+++
@@ -10,6 +10,7 @@
ls -la
ls -la travis_deploy
openssl aes-256-cbc -K $encrypted_a95d9d0517a4_key -iv $encrypted_a95d9d0517a4_iv -in travis_deploy/book-programming-ruby.enc -out book-programming-ruby.key -d
+chmod 600 book-programming-ruby.key
ssh-add book-programming-ruby.key
git clone git@github.com:w... | bash |
d_bash_11570 | ---
+++
@@ -25,5 +25,5 @@
exit 1
fi
-CHECKSUM=$(tee "$FILE" < /dev/stdin | sha256sum | awk '{print $1}')
+CHECKSUM=$(tee "$FILE" < /dev/stdin | sha256sum | cut -d " " -f 1)
echo "$CHECKSUM $FILE_BASE" > "$FILE_HASH" | bash |
d_bash_11571 | ---
+++
@@ -30,5 +30,5 @@
echo "Copying JNI binaries from: $GO_WORK_DIR"
readonly JNI_DIR=$BUILD_DIR/jni
mkdir -p $JNI_DIR && cp -R $GO_WORK_DIR/android/src/main/jniLibs/ $JNI_DIR/
-# rm -rf $GO_WORK_DIR
+ rm -rf $GO_WORK_DIR
fi | bash |
d_bash_11572 | ---
+++
@@ -7,6 +7,7 @@
grunt
cp $BASE_DIR/../js-build/forms-angular.min.js $BASE_DIR/../../$1/app/lib/forms-angular.min.js
+ cp $BASE_DIR/../js-build/forms-angular.js $BASE_DIR/../../$1/app/lib/forms-angular.js
cp $BASE_DIR/../app/css/forms-angular.css $BASE_DIR/../../$1/app/css/forms-angular.... | bash |
d_bash_11573 | ---
+++
@@ -2,6 +2,11 @@
sudo apt-get update -qq
sudo apt-get install ocaml ocaml-native-compilers camlp4-extra opam opam
+export OPAMYES=1
+opam init
+opam install oasis ocamlfind menhir
+eval `opam config env`
+
./configure --enable-tests
make
make test | bash |
d_bash_11574 | ---
+++
@@ -1,6 +1,14 @@
# load our own completion functions
fpath=(~/.zsh/completion /usr/local/share/zsh/site-functions $fpath)
-# completion
-autoload -U compinit
-compinit
+# completion; use cache if updated within 24h
+autoload -Uz compinit
+if [[ -n $HOME/.zcompdump(#qN.mh+24) ]]; then
+ compinit -d $HOME/... | bash |
d_bash_11575 | ---
+++
@@ -14,5 +14,5 @@
[ -z "${RESPONSE}" ] || { echo "${RESPONSE}" ; exit 1; }
# Add ssh-key
-cat "${SSH_KEY_PATH}" | curl --data @- --user "${HTTP_UID}:${HTTP_PWD}" ${GERRIT_WEBURL}/a/accounts/self/sshkeys
+cat "${SSH_KEY_PATH}.pub" | curl --data @- --user "${HTTP_UID}:${HTTP_PWD}" ${GERRIT_WEBURL}/a/accou... | bash |
d_bash_11576 | ---
+++
@@ -18,7 +18,7 @@
COMMAND+=" | tee xcodebuild.log"
-xcpretty --version > /dev/null 2>&1 && COMMAND+=" | xcpretty -c" && xcpretty-travis-formatter > /dev/null 2>&1 && COMMAND+=" -f `xcpretty-travis-formatter`"
+xcpretty --version > /dev/null 2>&1 && COMMAND+=" | xcpretty -c" && [ "${TRAVIS}" == "true" ] &... | bash |
d_bash_11577 | ---
+++
@@ -17,11 +17,11 @@
}
local IMG_REPO="$(echo ${1:-$IMG_REPO} | tr '[:upper:]' '[:lower:]')"; shift
- local IMG_JOB_NAME="${1:-$JOB_NAME}"; test $# -gt 0 && shift
+ local IMG_JOB_NAME="$(echo "${1:-$JOB_NAME}" | tr '/' '.')"; test $# -gt 0 && shift
local IMG_BUILD_NUMBER="${1:-${BUILD_NUMBER:-$(us... | bash |
d_bash_11578 | ---
+++
@@ -12,7 +12,7 @@
try brew tap homebrew/cask
# List already available casks
-available_casks=$(brew cask list)
+available_casks=$(brew list --cask)
typeset -U casks
casks=( | bash |
d_bash_11579 | ---
+++
@@ -6,9 +6,7 @@
./misc/saucelabs/start_tunnel.sh
-npm install -g bower grunt-cli
-
-bower install
+npm install -g grunt-cli
echo "wait_for_browser_provider"
./misc/travis/wait_for_browser_provider.sh | bash |
d_bash_11580 | ---
+++
@@ -14,4 +14,4 @@
sed -i -re "s,MAIN_URL,${MAIN_URL},;s,JENKINS_SMTP_FROM,${JENKINS_SMTP_FROM}," /usr/share/jenkins/ref/jenkins.model.JenkinsLocationConfiguration.xml.override
-exec /usr/local/bin/jenkins.sh "$@"
+exec /sbin/tini -- /usr/local/bin/jenkins.sh "$@" | bash |
d_bash_11581 | ---
+++
@@ -1,9 +1,13 @@
#!/bin/bash
# /travis/python-prepare-doc-deploy.sh
#
-# Sets environment variables so that deploys with markdown documentation
-# work correctly. Use with source on before_deploy.
+# Symlinks everything inside ~/.cabal/bin to $VIRTUAL_ENV/bin,
+# which enables the use of pandoc at deploy-t... | bash |
d_bash_11582 | ---
+++
@@ -28,7 +28,7 @@
version_macro_file='ensc_version.m4'
rm -f $version_macro_file
-ENSC_VERSION=`git describe --abbrev=1`
+ENSC_VERSION=`git describe --always --abbrev=1`
echo 'dnl ensc_version.m4 generated by autogen.sh script. Do not hand edit.' > $version_macro_file
echo "m4_define([VERSION_NUMBER]... | bash |
d_bash_11583 | ---
+++
@@ -4,24 +4,27 @@
export BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
-echo "Delete stages 3 to 5"
+echo "Set up DigiGes image"
+echo " - Delete stages 3 to 5"
rm -rf ${BASE_DIR}/stage{3,4,5}
-echo "Replace stage3 with the DigiGes scripts"
+echo " - Replace stage 3 with our scripts"
cp -r... | bash |
d_bash_11584 | ---
+++
@@ -29,7 +29,7 @@
# Execute JavaDoc
rm -rf ${javadocDir}
mkdir -p ${javadocDir}
-${javadocExec} -source 1.6 -d ${javadocDir} -doctitle "CARTO Mobile SDK for Android" "@${tempDir}/files"
+${javadocExec} -classpath "${ANDROID_HOME}/platforms/android-8/android.jar" -source 1.6 -d ${javadocDir} -doctitle "CART... | bash |
d_bash_11585 | ---
+++
@@ -1,2 +1,7 @@
-./../bin/canvgc simple.svg simple.js --prepend 'if(typeof window.canvgc=="undefined")window.canvgc={};window.canvgc.simple =' --append ';'
-./../bin/canvgc complex.svg complex.js --prepend 'if(typeof window.canvgc=="undefined")window.canvgc={};window.canvgc.complex =' --append ';'
+#!/usr/bin... | bash |
d_bash_11586 | ---
+++
@@ -4,7 +4,7 @@
for D_a in 0.1 0.2 0.25 0.3; do
for D_b in 0.02 0.03 0.05 0.2; do
for beta_i in 12; do
- ./PyMorphogenesis.py -r -s $D_s -a $D_a -b $D_b -d $beta_i
+ ./PyMorphogenesis.py -r -p images -s $D_s -a $D_a -b $D_b -d $beta_i
done
done
done | bash |
d_bash_11587 | ---
+++
@@ -5,9 +5,9 @@
if [[ "${EXPEDITOR:-false}" == "true" ]]; then
apt-get update
apt-get install -y libpq-dev libsqlite3-dev
- # Pin ruby to 2.5.3 since chef-server tests heavily depend
- asdf local ruby 2.5.3
- # Install gem for 2.5.3 path
+ # Pin ruby to 2.5.5 since chef-server tests heavily depend
... | bash |
d_bash_11588 | ---
+++
@@ -9,7 +9,7 @@
if [[ "$OP" == "lint" ]]
then
echo "Linting Lambdas"
- flake8 --exclude six.py,six-*,structlog* .
+ flake8 --exclude six.py,six-*,structlog*,simplejson* .
elif [[ "$OP" == "test" ]]
then
echo "Testing Lambdas" | bash |
d_bash_11589 | ---
+++
@@ -24,9 +24,9 @@
TCMD="${_TCMD}"
fi
-./configure
+./configure --without-python
make all
-./configure --enable-coverage
+./configure --without-python --enable-coverage
make clean all
sudo make install
| bash |
d_bash_11590 | ---
+++
@@ -1,27 +1,30 @@
#!/usr/bin/env bash
+modulePath='~/puppet'
echo "Getting settings"
settingsPath=$1
. $settingsPath
+# zero
if [ -z "$puppetColor" ]; then
puppetColor="false"
fi
echo "Uploading puppet"
ssh $userName@$hostName "
- rm -rf ~/puppet;
- mkdir -p ~/puppet;
+ rm --recursive --... | bash |
d_bash_11591 | ---
+++
@@ -4,11 +4,14 @@
if [[ -z "$GIT_COMMIT" ]]; then
export GIT_COMMIT=$(git rev-parse HEAD)
fi
-export GIT_COMMIT_SHORT="${GIT_COMMIT:0:9}"
+
if [[ -z "$DOCKER_REPOSITORY" ]]; then
- export DOCKER_REPOSITORY="mozmeao/nucleus"
+ export DOCKER_REPOSITORY="mozorg/snippets"
fi
+
+# match length of gi... | bash |
d_bash_11592 | ---
+++
@@ -9,6 +9,8 @@
chown fetchmail:fetchmail /data/log/fetchmail.log
# run cron daemon, which executes the logrotate job
crond
+ # collect log informations for docker logs or docker-compose logs
+ tail -n 50 -f /data/log/fetchmail.log
# run fetchmail as endless loop with reduced permis... | bash |
d_bash_11593 | ---
+++
@@ -26,6 +26,8 @@
read published
: ${published:="true"}
+slug=`echo $title | tr '[:upper:]' '[:lower:]' | sed -e 's/[^a-z0-0]/-/g'`
+
echo "---
layout: $layout
title: $title
@@ -35,10 +37,7 @@
published: $published
---
+" > "_posts/"$date"-"$slug".md"
-" > "_posts/"$date"-"$title".md"
+vim -c "st... | bash |
d_bash_11594 | ---
+++
@@ -16,4 +16,4 @@
alias xcb='xcodebuild'
alias xcp='xcode-select --print-path'
-alias simulator='open $(xcode-select -p)/Platforms/iPhoneSimulator.platform/Developer/Applications/iPhone\ Simulator.app'
+alias simulator='open $(xcode-select -p)/Applications/iOS\ Simulator.app' | bash |
d_bash_11595 | ---
+++
@@ -20,7 +20,7 @@
{
# This relies on the fact that the latest iPhone SDK
# is the last thing listed before the Xcode version.
- /usr/bin/xcodebuild -version -sdk 2> /dev/null | grep SDKVersion | tail -n 1 | awk '{ print $2 }'
+ /usr/bin/xcodebuild -version -sdk 2> /dev/null | grep -A 1 '^iP... | bash |
d_bash_11596 | ---
+++
@@ -19,5 +19,5 @@
if [[ $profile =~ ^sle.* ]]; then
sed -i 's/%%IFSLE%%//;s/%%ENDIFSLE%%//' $2/autoyast
else
- sed -i '/%%IFSLE%%/<!--/,/%%ENDIFSLE%%/d' $2/autoyast
+ sed -i '/%%IFSLE%%/,/%%ENDIFSLE%%/d' $2/autoyast
fi | bash |
d_bash_11597 | ---
+++
@@ -4,5 +4,6 @@
source $DOTFILES_ROOT/util/common.sh
if [ ! -e "$HOME/.SpaceVim.d" ]; then
+ step 'Installing spacevim for neovim'
curl -sLf https://spacevim.org/install.sh | bash -s -- install neovim
fi | bash |
d_bash_11598 | ---
+++
@@ -18,6 +18,8 @@
vim
google-chrome-stable
firefox
+ nvidia-340
+ intel-microcode
unity-tweak-tool
adapta-gtk-theme
paper-icon-theme | bash |
d_bash_11599 | ---
+++
@@ -1,14 +1,10 @@
#!/bin/bash
-# Author Kevin Fasusi
-# MIT licence
-# This script takes two arguments, the name of the package and the conda environment name. The script
+# This script takes three arguments, the name of the package, the conda environment name and the packaging type (e.g. sdist, bdist_wheel)... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.